<template>
  <div id="lc_coding_editor_wrapper">
    <el-form-item :label="$t('CODING.CODING_SPEC')">
      <el-input v-model="inputTail.code" :placeholder="$t('QUESTION.ENTER_CON')" type="textarea" :rows="10"></el-input>
    </el-form-item>
  </div>
</template>

<script>
export default {
  name: 'LcCodingEditor',
  data() {
    const initialInputBody = {};
    const initialInputTail = {
      code: null,
      assignedKeywordList: [],
    };
    return {
      initialInputBody,
      initialInputTail,
      inputBody: Object.assign({}, initialInputBody),
      inputTail: Object.assign({}, initialInputTail),
    };
  },
  methods: {
    reset() {
      const vm = this;
      vm.inputBody = Object.assign({}, vm.initialInputBody);
      vm.inputTail = Object.assign({}, vm.initialInputTail);
    },
  },
};
</script>